[SOLVED] Systemview-Installation fails on Linux

This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

  • [SOLVED] Systemview-Installation fails on Linux

    Hi,

    i tried to install SystemView (systemview_2.52.4_x86_64.deb) on XUbuntu (new installation).
    Ozone installed fine.

    $/opt/SEGGER/SystemView/SystemView
    opt/SEGGER/SystemView/SystemView: error while loading shared libraries: libQtGui.so.4: cannot open shared object file: No such file or directory

    $ldd /opt/SEGGER/SystemView/SystemView
    linux-vdso.so.1 (0x00007ffe2efae000)
    libQtGui.so.4 => not found
    libQtCore.so.4 => not found
    libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f7616a2e000)
    libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f76166a5000)
    libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f7616307000)
    libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f76160ef000)
    libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f7615cfe000)
    librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f7615af6000)
    libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f76158f2000)
    /lib64/ld-linux-x86-64.so.2 (0x00007f7616c4d000)

    $ ldd /opt/SEGGER/ozone/2.62.7/Ozone
    linux-vdso.so.1 (0x00007fffed4f3000)
    libjlinkarm.so.6 => /opt/SEGGER/ozone/2.62.7/Lib/libjlinkarm.so.6 (0x00007f36ec911000)
    libQtWebKit.so.4 => /opt/SEGGER/ozone/2.62.7/Lib/libQtWebKit.so.4 (0x00007f36eaca5000)
    libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f36eaaa1000)
    libQtGui.so.4 => /opt/SEGGER/ozone/2.62.7/Lib/libQtGui.so.4 (0x00007f36e9d9d000)
    libQtCore.so.4 => /opt/SEGGER/ozone/2.62.7/Lib/libQtCore.so.4 (0x00007f36e9888000)
    libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f36e9669000)
    libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f36e92cb000)
    libgcc_s.so.1 => /lib/x86_64-linux-gnu/libgcc_s.so.1 (0x00007f36e90b3000)
    libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f36e8cc2000)
    /lib64/ld-linux-x86-64.so.2 (0x00007f36ede98000)
    librt.so.1 => /lib/x86_64-linux-gnu/librt.so.1 (0x00007f36e8aba000)
    libstdc++.so.6 => /usr/lib/x86_64-linux-gnu/libstdc++.so.6 (0x00007f36e8731000)
    libX11.so.6 => /usr/lib/x86_64-linux-gnu/libX11.so.6 (0x00007f36e83f9000)
    libXrender.so.1 => /usr/lib/x86_64-linux-gnu/libXrender.so.1 (0x00007f36e81ef000)
    libQtNetwork.so.4 => /opt/SEGGER/ozone/2.62.7/Lib/libQtNetwork.so.4 (0x00007f36e7ec6000)
    libfreetype.so.6 => /usr/lib/x86_64-linux-gnu/libfreetype.so.6 (0x00007f36e7c12000)
    libfontconfig.so.1 => /usr/lib/x86_64-linux-gnu/libfontconfig.so.1 (0x00007f36e79cd000)
    libXext.so.6 => /usr/lib/x86_64-linux-gnu/libXext.so.6 (0x00007f36e77bb000)
    libxcb.so.1 => /usr/lib/x86_64-linux-gnu/libxcb.so.1 (0x00007f36e7593000)
    libpng16.so.16 => /usr/lib/x86_64-linux-gnu/libpng16.so.16 (0x00007f36e7361000)
    libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f36e7144000)
    libexpat.so.1 => /lib/x86_64-linux-gnu/libexpat.so.1 (0x00007f36e6f12000)
    libXau.so.6 => /usr/lib/x86_64-linux-gnu/libXau.so.6 (0x00007f36e6d0e000)
    libXdmcp.so.6 => /usr/lib/x86_64-linux-gnu/libXdmcp.so.6 (0x00007f36e6b08000)
    libbsd.so.0 => /lib/x86_64-linux-gnu/libbsd.so.0 (0x00007f36e68f3000)


    Why does ozone install libQtQui.so.4 fine and SystemView not?
    How can i fix this?

    Thanks!
  • Hello,

    Thank you for your inquiry.
    You can fix this by installing the missing libraries or using a Linux that has them per default e.g. Ubuntu 16.04 LTS or 18.04 LTS.

    It is currently not being shipped with SystemView as SystemView is currently being revampt. So future versions of SystemView should ship with all needed libraries even if not provided by the OS.

    Best regards,
    Nino
    Please read the forum rules before posting: Forum Rules

    Keep in mind, this is not a support forum. Its main purpose is user to user interaction.
    Our engineers will try to answer your questions between their projects if possible but this can be delayed by longer periods of time.
    Should you be entitled to support you can contact us via our support system: segger.com/ticket/

    Or you can contact us via e-mail.
  • Hi Nino,
    thank you for this answer.

    So i just copied:
    sudo cp ../ozone/2.62.7/Lib/libQtCore.so.4 /usr/lib/

    sudo cp ../ozone/2.62.7/Lib/libQtGui.so.4 /usr/lib/


    Now the libs are accessible, but i get a new error message:
    SystemView: symbol lookup error: SystemView: undefined symbol: _ZN12QApplication13setMainWidgetEP7QWidget

    Now, i have no idea how to solve this.
    Thank you.
  • siermm wrote:

    Hi Nino,
    thank you for this answer.

    So i just copied:
    sudo cp ../ozone/2.62.7/Lib/libQtCore.so.4 /usr/lib/

    sudo cp ../ozone/2.62.7/Lib/libQtGui.so.4 /usr/lib/


    Now the libs are accessible, but i get a new error message:
    SystemView: symbol lookup error: SystemView: undefined symbol: _ZN12QApplication13setMainWidgetEP7QWidget

    Now, i have no idea how to solve this.
    Thank you.

    May be this can help (my old thread: ) forum.segger.com/index.php/Thr…-rpm-is-a-broken-install/